- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#body.BatchUpdateNativeStylesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#body.aspect)
- [UpdateNativeStyleRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#UpdateNativeStyleRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#UpdateNativeStyleRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#try-it)

Batch updates `NativeStyle` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/nativeStyles:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `NativeStyles` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateNativeStyleRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#UpdateNativeStyleRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles/batchUpdate#UpdateNativeStyleRequest`)`` Required. The `NativeStyle` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `nativeStyles.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "nativeStyles": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles#NativeStyle`) } ] } ``` |

| Fields ||
|---|---|
| `nativeStyles[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles#NativeStyle`)`` The `NativeStyle` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateNativeStyleRequest

Request object for `nativeStyles.patch` method.

| JSON representation |
|---|
| ``` { "nativeStyle": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles#NativeStyle`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `nativeStyle` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.nativeStyles#NativeStyle`)`` Required. The `NativeStyle` to update. The `NativeStyle`'s `name` is used to identify the `NativeStyle` to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |